Subject: bug#53877: 29.0.50; [PATCH] async Gnus/nnml

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 09 Feb 2022 08:35:14 -0800

Manuel Giraud <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Why can't you bind `nnmail-article-buffer' before calling the splitting
>> function?
>
> I spoke too quickly. The idea was that with a temporay buffer I could
> run multiple splitting in "parallel". But rebinding just *one* global
> variable won't help much here.

Are you sure? AFAIK this was Dick Chiang's approach to threading server
updates: let-binding the value of `nntp-server-buffer' within the thread
function. As far as I know it worked okay. The splitting function and
code run within it will have a separate value of
`nnmail-article-buffer'.